<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

<html>
<head><title>Imprimir Medicamentos</title></head>
<style type="text/css" media="all">@import "./estilos.css";</style>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="icon" type="image/png" href="imagenes/hdIcon.png" /> 

<?php    
  include("conexionOdo.php");
  
  session_start();    
  $s_idUsuario    = $_SESSION['idUsuario'];
  $s_nitEmpresa   = $_SESSION['nitEmpresa'];
  $s_codSede      = $_SESSION['codSede'];
  
  $le = $_GET['lin'];
  $lin   = base64_decode($le);
 
  $linea = explode("/", $lin);
  $s_nConsulta  = $linea[0];
  $s_tipoId     = $linea[1];
  $s_numId      = $linea[2];
  $s_tipoH      = $linea[3];

 
  // TRAE DATOS DEL PACIENTE
  $query = "SELECT * FROM `SIME_BAS_PACIENTE` WHERE `tipoId` = '$s_tipoId' AND `idPaciente` =  $s_numId";
  $result = mysql_query($query) or die('Consulta de paciente fallida: ' . mysql_error());
  $line = mysql_fetch_array($result, MYSQL_ASSOC);
  $s_apell1Paciente   = $line["apell1Paciente"]; 
  $s_apell2Paciente   = $line["apell2Paciente"]; 
  $s_nomPaciente      = $line["nomPaciente"]; 
  $s_nomPaciente2     = $line["nomPaciente2"]; 
  
  // Liberar resultados
  mysql_free_result($result); 

  // TRAE DATOS DE LA CONSULTA
  if ($s_tipoH=="URGENCIAS") 
  { 
   $query="SELECT * FROM SIO_CON_PACIENTE A, SIME_BAS_N_USUARIOS B WHERE numConsulta=$s_nConsulta AND A.medConsulta=B.idUsuario";
   $result = mysql_query($query) or die('Consulta de datos de cita fallida: ' . mysql_error()); 
   $line = mysql_fetch_array($result, MYSQL_ASSOC); 
   $s_tipoHistoria  = $line["tipoHistoria"]; 
   $s_fechaConsulta = $line["fechaConsulta"]; 
   $s_medConsulta   = $line["nomUsuario"]. " " . $line["apell1Usuario"] . " " . $line["apell2Usuario"] ; 
  }

  if ($s_tipoH=="TRATAMIENTO") 
  { 
    $queryTr ="SELECT * FROM SIO_CIT_ATENDIDAS A, SIME_BAS_N_USUARIOS B WHERE numConsulta=$s_nConsulta AND A.medConsulta=B.idUsuario";
    $resultTr = mysql_query($queryTr) or die('Consulta atendidas tmp fallida: ' . mysql_error()); 
    $lineTr = mysql_fetch_array($resultTr, MYSQL_ASSOC);
    $s_fechaConsulta = $lineTr["fechaConsulta"]; 
    $s_medConsulta   = $lineTr["nomUsuario"]. " " . $lineTr["apell1Usuario"] . " " . $lineTr["apell2Usuario"] ; 
  }

  
  // Liberar resultados
  mysql_free_result($result); 
  
  //TRAE DATOS DEL MEDICO
  date_default_timezone_set('America/Bogota'); 
  $w_fecha      = date("Y/m/d H:i:s"); 
  
  /////TRAE LOGO
  $logoEx = "imagenes/logos/logo".$s_nitEmpresa.".jpg"; 
  if (file_exists($logoEx)) {
      $logoPre=$logoEx;
  } else {
     $logoPre="imagenes/logo.jpg";
  }
  //src="imagenes/logo.jpg"
  /////FIN TRAE LOGO
  /*----------------------------------------------------------------- */
?>

<body onload="window.print();">

   <table width='960' align="center"> 
    <tr>
      <td><img src=<?=$logoPre?> alt="Logo Compania" width="300" /> </td>
      <td align="right" style="font-size:12px;" >Fecha de impresi&oacute;n: <b><?=$w_fecha?></b></td>
    </tr>
  </table>     
  
  <table align="center" border="0" width="960">
    <tr class="camposTabla">
       <td colspan="5"><HR width=100% align="center"></td>
    </tr>
    
    <tr class="camposTabla"> 
      <td align="left" style="font-size:12px;" >Historia </td>
      <td align="left"><b><?=$s_tipoHistoria?></b> No.: <b><?=$s_nConsulta?></b></td>
      <td>Fecha de Consulta:</td>
      <td align="left"><b><?=$s_fechaConsulta?></b></td>   
    </tr> 
    
    <tr class="camposTabla"> 
      <td>Paciente:</td> 
      <td align="left">
        <b><?=$s_tipoId?>  <?=$s_numId?> - <?=$s_nomPaciente?> <?=$s_nomPaciente2?> <?=$s_apell1Paciente?> <?=$s_apell2Paciente?></b>
      </td> 
      <td>Atendida por:</td>
      <td align="left"><b><?=$s_medConsulta?></b></td>   
    </tr> 
    
    <tr class="camposTabla">
       <td colspan="5"><HR width=100% align="center"></td>
    </tr>
    
    <tr class="negrita">
      <td align ="center" colspan="5">LISTA DE MEDICAMENTOS RECETADOS</td>
    </tr>
    <tr class="camposTabla">
       <td colspan="5"><HR width=100% align="center"></td>
    </tr>
  </table>
   
  <?php
      // consulta diagnosticos
      $query = " SELECT B.codDiag, A.nomCie10 " .
             " FROM SIO_CIE10 A, SIO_DIAGNOSTICO B ".
             " WHERE A.codCie10 = B.codDiag AND ". 
             "       B.numConsulta = $s_nConsulta ";
      $result = mysql_query($query) or die('Consulta de diagnostico fallida: ' . mysql_error());
    
      $i=0;
      while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
        //asigna valores a variables de trabajo
        $codDiag = $line["codDiag"];
        $nomDiag = $line["nomCie10"];
        echo("<table align='center' border='0' width='890'>\n");
        if ($i==0){// para mostrar titulos 
          echo ("<tr>\n");
            echo   ("<td class='negrita' align='center' colspan='4'>LISTA DE DIAGNOSTICOS</td>\n");
          echo("</tr>\n");        
        }   
        echo("<tr>\n");  
         echo("<td class='camposTabla' width='30%' align='center'>$codDiag</td>\n");
         echo("<td class='camposTabla' width='70%'>$nomDiag</td>\n");
        echo("</tr>\n");
               
      $i++;
     }

    // Liberar resultados
        mysql_free_result($result);
        
    /*----------------------------------------------------------------- */
   
    // consulta medicamentos
    $query = " SELECT B.codMedPos, A.nombre, A.concentracion, B.observaciones " .
             " FROM SIME_MED_POS A, SIO_MEDICAMENTOS B ".
             " WHERE A.codigo = B.codMedPos AND ". 
             "       B.numConsulta = $s_nConsulta ";
 
    $result = mysql_query($query) or die('Consulta de medicamentos fallida: ' . mysql_error());
    
    $i=0;
    while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
     //asigna valores a variables de trabajo
     $codMedPos  = $line["codMedPos"];
     $nombre     = $line["nombre"];
     $nombre     = $nombre . " / " . $line["concentracion"];
     $observaciones = $line["observaciones"];
    
     echo("<table align='center' border='0' width='960'>\n");
     if ($i==0){// para mostrar titulos 
                 //echo ("<tr>\n");
                 //   echo   ("<td class='negrita' align='center' colspan='4'>FORMULA MEDICA</td>\n");
                 //echo("</tr>\n");
               
       echo("<tr>\n");
        echo("<td class='negrita' align='left'>CODIGO</td>\n");
        echo("<td class='negrita' align= 'left'>MEDICAMENTO</td>\n");
        echo("<td class='negrita' align= 'left'>OBSERVACIONES</td>\n");
       echo("</tr>\n");
     }   
       echo("<tr>\n");    
        echo("<td class='camposTabla' width='20%' align='center'>$codMedPos</td>\n");
        echo("<td class='camposTabla' width='40%'>$nombre</td>\n");
        echo("<td class='camposTabla' width='40%'>$observaciones</td>\n");
       echo("</tr>\n");
               
       $i++;       
    }
    echo("</table>\n");

    // Liberar resultados
        mysql_free_result($result);
    /*----------------------------------------------------------------- */  
    
    ////TRAE IMAGEN DE FIRMA 
    $imagen = "imagenes/sign/" . $signMed . ".jpg";  
    if (file_exists($imagen)) {
        $ex=1;
        //echo "existe";
    } else {
       //echo "no  existe";
       $ex=0;
    }
   
  ?>
    
  <table width='960' border="1" height="60" align="center">
     <tr class='camposTabla'>
        <td width="70%" valign="top">
          <label>FIRMA Y SELLO DEL MEDICO TRATANTE</label>
          <table>
            <tr>
              <td height="40" width="50%" class='negrita'><?=$s_medConsulta?></td>
              <?php
                if($ex==1){
              ?>  
                <td height="40" width="50%"> <img src=<?=$imagen?> width="470" height="90"/></td>
              <?php
               }
              ?>
            </tr>
          </table>  
        </td>  
        <td width="30%" valign="top">
          <label>FIRMA RECIBIDO</label>
        </td>
     </tr>
   </table>
   
   <?php
     ///////////////////////////////////////////////////
     ////////////IMPRIME PIES DE PAGINA////////////////
     ///////////////////////////////////////////////////
     $query = "SELECT * FROM SIME_BAS_FOOT WHERE nitEmpresa=$s_nitEmpresa";
     $result = mysql_query($query) or die ('Consulta pies de pagina fallida: ' . mysql_error());
     $linea  = mysql_fetch_array($result, MYSQL_ASSOC);
     $s_linFormula     = $linea['linFormula'];  
     $s_linIncapacidad = $linea['linIncapacidad'];
     $s_segundaLinea   = $linea['linDos']; 
     $s_terceraLinea   = $linea['linTres'];  
     $s_cuartaLinea    = $linea['linCuatro'];
    ?>
    
    <table width='960' border="0" align="center">  
     <tr>
        <td width="70%">
        </td>
     </tr>
     <tr class='camposTabla'>
       <td colspan="2" align="center">
          <?=$s_linFormula?>
       </td>
     <tr>
     <tr class='camposTabla'>
       <td colspan="2" align="center">
          <?=$s_segundaLinea?>
       </td>
     <tr>
     <tr class='camposTabla'>
       <td colspan="2" align="center">
          <?=$s_terceraLinea?>
       </td>
     <tr>
     <tr class='camposTabla'>
       <td colspan="2" align="center">
          <?=$s_cuartaLinea?>
       </td>
     <tr>
    </table>
   
    
</body>
</html>